## rifiuti2 0.8.2

=== CMakeLists.txt ===
# Copyright (C) 2023-2024, Abel Cheung
# rifiuti2 is released under Revised BSD License.
# Please see LICENSE file for more info.

cmake_minimum_required(VERSION 3.17 FATAL_ERROR) # cmake -E rm

project(rifiuti2
    VERSION 0.8.2
    HOMEPAGE_URL "https://github.com/abelcheung/rifiuti2/"
    DESCRIPTION "Windows recycle bin analysis tool"
    LANGUAGES C)

set(PROJECT_BUG_REPORT_URL "${PROJECT_HOMEPAGE_URL}issues")
set(PROJECT_TOOL_USAGE_URL "${PROJECT_HOMEPAGE_URL}wiki/Usage-and-Examples")
set(PROJECT_GH_PAGE "https://abelcheung.github.io/rifiuti2/")

include(GNUInstallDirs)

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

if(DEFINED CMAKE_C_FLAGS_DEBUG)
    string(APPEND CMAKE_C_FLAGS_DEBUG " -O0 -Wextra")
else()
    set(CMAKE_C_FLAGS_DEBUG "-O0 -Wextra")
endif()
if(NOT DEFINED CMAKE_C_FLAGS)
    set(CMAKE_C_FLAGS "")
endif()
string(APPEND CMAKE_C_FLAGS
    " -DG_LOG_DOMAIN=\\\"${PROJECT_NAME}\\\" -Wall -Werror")

set(CMAKE_STATIC_LINKER_FLAGS "-static")

configure_file(src/config.h.in config.h)
configure_file(docs/rifiuti.1.in rifiuti.1)
configure_file(docs/readme.txt.in readme.txt)

find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB REQUIRED "glib-2.0 >= 2.40.0")

# Do static build in Windows, which require finding
# extra libraries
if (WIN32)
pkg_check_modules(ICONV REQUIRED "iconv")
list(APPEND GLIB_STATIC_CFLAGS_OTHER -DGLIB_STATIC_COMPILATION)
endif()

foreach(bin rifiuti rifiuti-vista)
    add_executable(
        ${bin}
        src/${bin}.c
        src/${bin}.h
    )
    target_include_directories(
        ${bin} BEFORE
        PRIVATE
            ${CMAKE_CURRENT_BINARY_DIR}
    )
    target_sources(
        ${bin}
        PRIVATE
            src/utils.c
            src/utils.h
            src/utils-conv.c
            src/utils-conv.h
            src/utils-error.h
            src/utils-io.c
            src/utils-io.h
            src/utils-platform.h
    )
    if(WIN32)
        target_sources(${bin}
            PRIVATE src/utils-win.c)
    endif()
    if("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
        target_sources(${bin}
            PRIVATE src/utils-linux.c)
    endif()

    if(WIN32)
        target_include_directories(${bin} PRIVATE
            ${GLIB_STATIC_INCLUDE_DIRS} ${ICONV_STATIC_INCLUDE_DIRS})
        target_compile_options    (${bin} PRIVATE
            ${GLIB_STATIC_CFLAGS_OTHER} ${ICONV_STATIC_CFLAGS_OTHER})
        target_link_libraries     (${bin} PRIVATE authz
            ${GLIB_STATIC_LIBRARIES} ${ICONV_STATIC_LIBRARIES})
        target_link_directories   (${bin} PRIVATE
            ${GLIB_STATIC_LIBRARY_DIRS} ${ICONV_STATIC_LIBRARY_DIRS})
        target_link_options       (${bin} BEFORE PRIVATE ${CMAKE_STATIC_LINKER_FLAGS})
    else()
        target_include_directories(${bin} PRIVATE ${GLIB_INCLUDE_DIRS})
        target_compile_options    (${bin} PRIVATE ${GLIB_CFLAGS_OTHER})
        target_link_libraries     (${bin} PRIVATE ${GLIB_LIBRARIES})
        target_link_directories   (${bin} PRIVATE ${GLIB_LIBRARY_DIRS})
    endif()
endforeach()

# Install: Windows use simplistic folder,
# non-Windows follow FHS.
if(WIN32)
    set(CMAKE_INSTALL_BINDIR .)
    set(CMAKE_INSTALL_DOCDIR doc)
else()
    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/rifiuti.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
    )
endif()
install(
    TARGETS
        rifiuti
        rifiuti-vista
    RUNTIME
)
install(
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
        ${CMAKE_CURRENT_SOURCE_DIR}/docs/THANKS.txt
        ${CMAKE_CURRENT_BINARY_DIR}/readme.txt
    TYPE DOC
)

include(CTest)
add_subdirectory(test)

set(CPACK_SOURCE_PACKAGE_FILE_NAME ${PROJECT_NAME}-${PROJECT_VERSION})
if(WIN32)
    set(CPACK_GENERATOR "ZIP")
    set(CPACK_SOURCE_GENERATOR "ZIP")
else()
    set(CPACK_GENERATOR "TGZ")
    set(CPACK_SOURCE_GENERATOR "TXZ")
endif()
set(CPACK_SOURCE_IGNORE_FILES
    .editorconfig
    .git/
    .gitattribute
    .gitignore
    .github/
    CTestConfig.cmake
    ${CMAKE_BINARY_DIR}/
    ${PROJECT_BINARY_DIR}/
)
include(CPack)

=== test/CMakeLists.txt ===
# Copyright (C) 2023-2024, Abel Cheung
# rifiuti2 is released under Revised BSD License.
# Please see LICENSE file for more info.

# Shorthands
set(sample_dir ${CMAKE_CURRENT_SOURCE_DIR}/samples)
set(bindir ${CMAKE_CURRENT_BINARY_DIR})

set(
    CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake
)

# Required by XML tests
find_program(XMLLINT xmllint)

# Util functions
function(add_test_using_shell name command)
    if(WIN32)
        add_test(
            NAME ${name}
            COMMAND pwsh -NonInteractive -NoProfile -Command "${command}"
            ${ARGN})
    else()
        add_test(
            NAME ${name}
            COMMAND sh -c "${command}"
            ${ARGN})
    endif()
endfunction()

function(startswith haystack needle)
    string(LENGTH ${needle} needle_len)
    string(SUBSTRING ${haystack} 0 ${needle_len} substr)

    if(${substr} STREQUAL ${needle})
        set(startswith_match 1 PARENT_SCOPE)
    else()
        set(startswith_match 0 PARENT_SCOPE)
    endif()
endfunction()

function(add_bintype_label testname)
    foreach(tname ${testname} ${ARGN})
        if(NOT TEST ${tname})
            message(WARNING "Test name ${tname} does not exist")
            continue()
        endif()
        startsWith(${tname} "f_")
        if(startswith_match)
            set(bintype "info2")
        endif()
        startsWith(${tname} "d_")
        if(startswith_match)
            set(bintype "recycledir")
        endif()
        if(NOT DEFINED bintype)
            message(WARNING "Unable to determine bin type from name ${tname}")
            continue()
        endif()
        get_property(tlabels TEST ${tname} PROPERTY LABELS)
        list(FIND tlabels ${bintype} pos)
        if (pos EQUAL -1)
            list(APPEND tlabels ${bintype})
            set_tests_properties(${tname} PROPERTIES LABELS "${tlabels}")
        endif()
    endforeach()
endfunction()

#
# Set fixture properties automatically for a fixed test name pattern.
# Fixture dependencies are set up automatically too.
# Using preparation step with test prefix "myid" as example:
#
# - "myid_Prep" (mandatory) test must exist beforehand.
# - "myid_PrepAlt" (optional) is treated as another independent setup step
# - "myid_PrepPre" (optional) is a prerequisite for "myid_Prep"
# - "myid_PrepPost" (optional) depends on "myid_Prep"
#
# Same applies to ${prefix}_Clean steps.
#
function(set_fixture_with_dep prefix)

    set(fixture $<UPPER_CASE:${prefix}>)
    set_tests_properties(${prefix} PROPERTIES FIXTURES_REQUIRED ${fixture})

    set(prepname ${prefix}_Prep)
    set_tests_properties(${prepname} PROPERTIES FIXTURES_SETUP ${fixture})

    set(prepalt ${prepname}Alt)
    if(TEST ${prepalt})
        set_tests_properties(${prepalt} PROPERTIES FIXTURES_SETUP ${fixture})
    endif()

    set(preppre ${prepname}Pre)
    if(TEST ${preppre})
        set_tests_properties(${preppre} PROPERTIES FIXTURES_SETUP ${fixture})
        set_tests_properties(${prepname} PROPERTIES DEPENDS ${preppre})
    endif()

    set(preppost ${prepname}Post)
    if(TEST ${preppost})
        set_tests_properties(${preppost} PROPERTIES FIXTURES_SETUP ${fixture})
        set_tests_properties(${preppost} PROPERTIES DEPENDS ${prepname})
    endif()

    set(cleanname ${prefix}_Clean)
    set_tests_properties(${cleanname} PROPERTIES FIXTURES_CLEANUP  ${fixture})

    set(cleanalt ${cleanname}Alt)
    if(TEST ${cleanalt})
        set_tests_properties(${cleanalt} PROPERTIES FIXTURES_CLEANUP ${fixture})
    endif()

    set(cleanpre ${cleanname}Pre)
    if(TEST ${cleanpre})
        set_tests_properties(${cleanpre} PROPERTIES FIXTURES_CLEANUP ${fixture})
        set_tests_properties(${cleanname} PROPERTIES DEPENDS ${cleanpre})
    endif()

    set(cleanpost ${cleanname}Post)
    if(TEST ${cleanpost})
        set_tests_properties(${cleanpost} PROPERTIES FIXTURES_CLEANUP ${fixture})
        set_tests_properties(${cleanpost} PROPERTIES DEPENDS ${cleanname})
    endif()

endfunction()

#
# Simplistic comparison involving 3 steps:
# 1. Geneate output from test recycle bin file (use -o output, no redirection used)
# 2. Compare output with reference test result
# 3. Delete output file
#
# This function create tests with add_test(), fixtures and label properties. Other properties should be added manually. Output file name is detemined automatically from test prefix. Extra arguments are appended to program command line arguments.
#
# Parameters:
# id (string): unique test ID fragment, will be prepended with "f_" or "d_" to form full test prefix name, which is determined by 'is_info2' param below.
# is_info2 (bool): See 'id' param.
# input (path): Recycle bin file/dir name or full path, to be read by rifiuti2.
# - If it is a relative path, add_test() calls would set WORKING_DIRECTORY to sample folder in source dir (i.e. ${sample_dir} above).
# - If it is empty or falsy, the whole preparation step is skipped. User is responsible to create their own step BEFORE calling this function (not after, otherwise fixture automation won't work).
# Note that the path is reflected in output file content, thus can potentially make tests fail if not careful.
# ref (path): Reference test result file name or path. If this is relative path, it is taken as under ${sample_dir}.
# label (str): A '|'-separated list of labels, to prevent automatic expansion. The labels are only applied to main test, not other fixture steps.
#
function(generate_simple_comparison_test
    id is_info2 input ref labels)
    if(is_info2)
        set(prefix f_${id})
        set(progname rifiuti)
    else()
        set(prefix d_${id})
        set(progname rifiuti-vista)
    endif()

    set(out ${bindir}/${prefix}.output)
    set(remnant ${out})

    if(NOT IS_ABSOLUTE ${ref})
        set(ref ${sample_dir}/${ref})
    else()
        startswith(${ref} ${bindir})
        if(startswith_match)
            list(APPEND remnant ${ref})
        endif()
    endif()

    if(input)
        if(IS_ABSOLUTE ${input})
            add_test(NAME ${prefix}_Prep
                COMMAND ${progname} -o ${out} ${ARGN} ${input}
                COMMAND_EXPAND_LISTS)
        else()
            add_test(NAME ${prefix}_Prep
                COMMAND ${progname} -o ${out} ${ARGN} ${input}
                WORKING_DIRECTORY ${sample_dir}
                COMMAND_EXPAND_LISTS)
        endif()
    endif()

    add_test(NAME ${prefix}
        COMMAND ${CMAKE_COMMAND} -E compare_files --ignore-eol ${out} ${ref})

    add_test(NAME ${prefix}_Clean
        COMMAND ${CMAKE_COMMAND} -E rm ${remnant}
        COMMAND_EXPAND_LISTS)

    set_fixture_with_dep(${prefix})

    string(REPLACE "|" ";" labels "${labels}")
    if(is_info2)
        list(APPEND labels "info2")
    else()
        list(APPEND labels "recycledir")
    endif()
    set_tests_properties(${prefix} PROPERTIES LABELS "${labels}")
endfunction()


#
# For some systems, glib may or may not be using system iconv
# (e.g. Solaris and FreeBSD), therefore simply finding out
# supported encoding from iconv program is not enough.
#
# In general, there is no cross platform way of specifying
# encoding names. To rub salt into wounds, even glib itself
# appears to append different encoding aliases on different
# OSes... (such as using win_iconv on Windows)
# Have to resort to checking runtime behavior instead.
#
add_executable(test_glib_iconv test_glib_iconv.c)
target_include_directories(test_glib_iconv PRIVATE ${GLIB_INCLUDE_DIRS})
target_compile_options    (test_glib_iconv PRIVATE ${GLIB_CFLAGS_OTHER})
target_link_libraries     (test_glib_iconv PRIVATE ${GLIB_LIBRARIES})
target_link_directories   (test_glib_iconv PRIVATE ${GLIB_LIBRARY_DIRS})

#
# The real tests
#
include(cli-option)
include(crafted)
include(encoding)
include(json)
include(parse-info2)
include(parse-rdir)
include(read-write)
include(xml)

## rifiuti2 0.6.1

=== debian/changelog ===
rifiuti2 (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * New upstream homepage.
  * New co-maintainer.
  * Added a directory as example. Consequently:
      - debian/examples: added to install the example.
      - debian/RECYCLE: added. This is the example.
      - debian/source/include-binaries: added to allow the files used as
        example.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0.
      - DH level to 9.
      - Using autoreconf now.
  * debian/clean: added to remove files created by upstream.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Re-written the short and long descriptions.
      - Updated the Vcs-* fields.
  * debian/copyright: updated all information.
  * debian/patches/fix-no-format-arguments: added to fix a FTBFS caused by no
      format arguments.
  * debian/rifiuti2.docs:
      - Renamed to docs.
      - Added README.md and NEWS.md.
      - Removed non existent NEWS, THANKS and TODO.
  * debian/source.lintian-overrides: removed. Using 'Team upload' now.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Jul 2015 19:15:32 -0300

rifiuti2 (0.5.1-3) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:32:22 +0200

rifiuti2 (0.5.1-2) unstable; urgency=low

  * Updating year in copyright file.
  * Adding misc-depends in control.
  * Updating standards to 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:21:39 +0200

rifiuti2 (0.5.1-1) unstable; urgency=low

  [ Anthony Wong ]
  * Initial release (Closes: #506952).

  [ Daniel Baumann ]
  * Adding vcs fields in control.
  * Rewrapping and improving wording of package long-description in control.
  * Rewriting copyright file in machine-interpretable format.
  * Removing AUTHORS from docs, no new information over than what is already in
    debian/copyright.
  * Removing README from docs, no new information other than what is already in
    the package long-description.
  * Prefixing debhelper files with package name.
  * Rewriting rules file.
  * Removing useless empty line at the end of changelog.
  * Adding wnpp bug number to changelog.
  * Adding myself to copyright.
  * Removing unnecessary version in libglib2.0-dev build-depends.
  * Removing upstream symlink for rifiuti-vista manpage.

 -- Daniel Baumann <daniel@debian.org>  Tue, 20 Jan 2009 21:28:17 +0100

=== debian/control ===
Source: rifiuti2
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev
Standards-Version: 3.9.6
Homepage: https://abelcheung.github.io/rifiuti2
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/rifiuti2.git
Vcs-Git: git://anonscm.debian.org/forensics/rifiuti2.git

Package: rifiuti2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: replacement for rifiuti, a MS Windows recycle bin analysis tool
 Rifiuti2 analyses recycle bin files from Windows. Analysis of Windows
 recycle bin is usually carried out during Windows computer forensics.
 .
 Rifiuti2 can extract file deletion time, original path and size of deleted
 files and whether the deleted files have been moved out from the recycle
 bin since they are trashed.
 .
 Rifiuti2 is a rewrite of rifiuti, which is originally written for identical
 purpose. Then it was extended to cover more functionalities, such as:
 .
   * Handles recycle bin up to Windows 10;
   * Handles ancient Windows like 95, NT4 and ME;
   * Supports all localized versions of Windows - both Unicode-based ones
     and legacy ones (using ANSI code page);
   * Supports output in XML format as well as original tab-delimited text.
 .
 Rifiuti2 is designed to be portable and runs on command line environment. Two
 programs rifiuti and rifiuti-vista are chosen depending on relevant Windows
 recycle bin format.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_install:
	dh_auto_install
	mv debian/rifiuti2/usr/bin/rifiuti debian/rifiuti2/usr/bin/rifiuti2
	mv debian/rifiuti2/usr/share/man/man1/rifiuti.1 debian/rifiuti2/usr/share/man/man1/rifiuti2.1
	rm -f debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1
	ln -s rifiuti2.1.gz debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1.gz

=== debian/watch ===
version=3
https://github.com/abelcheung/rifiuti2/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## rifiuti2 0.7.0

=== debian/changelog ===
rifiuti2 (0.7.0-3) unstable; urgency=medium

  * Bumped standards version to 4.5.1, no changes needed.
  * debian/patches/001: Add temporary patch to fix FTBFS with
    gettext 0.21. (Closes: #978335)

 -- Giovani Augusto Ferreira <giovani@debian.org>  Mon, 04 Jan 2021 21:51:42 -0300

rifiuti2 (0.7.0-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 13.
  * Bumped standards version to 4.5.0, no changes needed.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/copyright: updated packaging years.
  * debian/tests/control: add superficial restriction. (closes: #969863)
  * Set upstream metadata fields:
      - Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Run wrap-and-sort.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 10 Sep 2020 17:51:29 -0300

rifiuti2 (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Bumped DH level to 12.
  * Bumped Standards-Version to 4.4.0
  * debian/clean: updated listed files.
  * debian/copyright: removed unused references.
  * debian/patches/*: removed all patches.
  * debian/rules: removed an override.
  * debian/tests/*: created to provide trivial tests.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 28 Jul 2019 21:00:54 -0300

rifiuti2 (0.6.1-6) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Dropped autoreconf depends
  * Bumped Standards-Version to 4.2.1
  * Bumped DH level to 11
  * Updated my email address
  * debian/copyright: updated URI and packaging copyright years.
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 29 Aug 2018 16:08:19 -0300

rifiuti2 (0.6.1-5) unstable; urgency=medium

  * Update DH level to 10.
  * debian/compat: updated to 10.
  * debian/rules: removed the '--with autoreconf' because it is default
    in DH 10.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 17 Dec 2016 00:25:59 -0200

rifiuti2 (0.6.1-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * debian/patches:
      - Added the '.patch' extension to all patches.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 25 Sep 2016 00:30:11 -0300

rifiuti2 (0.6.1-3) unstable; urgency=medium

  * debian/control:
      - Changed from cgit to git in Vcs-Browser field.
  * debian/watch: bumped to version 4.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Wed, 23 Mar 2016 20:54:11 -0300

rifiuti2 (0.6.1-2) unstable; urgency=medium

  * New co-maintainer. Thanks Eriberto Mota for great work in the last upload.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Updated Vcs-* fields.
  * debian/copyright: added my name at debian/* block.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 20 Feb 2016 23:04:38 -0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: rifiuti2
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev
-Standards-Version: 3.9.6
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
+Build-Depends: debhelper-compat (=13), libglib2.0-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://abelcheung.github.io/rifiuti2
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/rifiuti2.git
-Vcs-Git: git://anonscm.debian.org/forensics/rifiuti2.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/rifiuti2
+Vcs-Git: https://salsa.debian.org/pkg-security-team/rifiuti2.git
 
 Package: rifiuti2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: replacement for rifiuti, a MS Windows recycle bin analysis tool
  Rifiuti2 analyses recycle bin files from Windows. Analysis of Windows
  recycle bin is usually carried out during Windows computer forensics.

=== debian/tests/control ===
Test-Command: rifiuti2 -h
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/abelcheung/rifiuti2/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## rifiuti2 0.8.2

=== debian/changelog ===
rifiuti2 (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/control: Bump Standards-Version to 4.7.2 (no changes)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Wed, 09 Apr 2025 09:04:32 -0300

rifiuti2 (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * d/clean: Remove file, unnecessary in the new release
  * d/control:
    - Add myself to Uploaders
    - Update Build-Depends for the new upstream release
  * d/copyright:
    - Add myself to debian/*
    - Update to reflect upstream copyright changes
  * d/patches:
    - 001-gettext-0.21-compat.patch: Drop patch, unnecessary in the new release
    - Fix-manpage-font-formatting.patch: New patch to fix manpage
  * d/rules:
    - Update build system to CMake for new upstream release
    - Remove LICENSE file, covered in debian/copyright

 -- Matheus Polkorny <mpolkorny@gmail.com>  Mon, 10 Mar 2025 10:18:43 -0300

rifiuti2 (0.7.0-5) unstable; urgency=medium

  * Team upload.
  * debian/control: bumped Standards-Version to 4.7.0.

  [ Santiago Vila ]
  * Update gettext patch for 0.23.x (Closes: #1092235)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 13 Jan 2025 11:09:31 +0100

rifiuti2 (0.7.0-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/watch: updated the search rule.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 28 Apr 2024 22:25:36 -0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
-Build-Depends: debhelper-compat (=13), libglib2.0-dev
-Standards-Version: 4.5.1
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>,
+           Matheus Polkorny <mpolkorny@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               pkgconf,
+               ninja-build,
+               libglib2.0-dev,
+               libxml2-utils <!nocheck>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://abelcheung.github.io/rifiuti2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/rifiuti2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_install:
	mv debian/rifiuti2/usr/bin/rifiuti debian/rifiuti2/usr/bin/rifiuti2
	mv debian/rifiuti2/usr/share/man/man1/rifiuti.1 debian/rifiuti2/usr/share/man/man1/rifiuti2.1
	rm -f debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1
	ln -s rifiuti2.1.gz debian/rifiuti2/usr/share/man/man1/rifiuti-vista.1.gz
	#All license information should be collected in the debian/copyright file
	rm -f debian/rifiuti2/usr/share/doc/rifiuti2/LICENSE

=== debian/watch ===
version=4
https://github.com/abelcheung/rifiuti2/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
